--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

local AddonName = "Masque"

function GetDefaults()
	local tbl = {
		["Inherit"] = false,
		["Gloss"] = true,
		["SkinID"] = "FauxMazzle",
	}
	return tbl
end

local function AssignMasque(reset)
	if not IsAddOnLoaded(AddonName) then 
		NS:GetSettings("Addons")[AddonName].inactive = true
		return 
	end
	local class = UnitClass("player")
	class = string.gsub(class, " ", "")
	MasqueDB.profileKeys[NS:GetAceProfile()] = "FauxMazzle"
	local Msq = LibStub("AceAddon-3.0"):GetAddon("Masque") 
	Msq:SetProfile("FauxMazzle")
end

local function ConfigureMasque(reset)
	if not IsAddOnLoaded(AddonName) then 
		NS.DebugPrint("Not Found:", AddonName)
		return
	end
	MasqueDB.profiles.FauxMazzle = {}
	local FauxMazzle = NS:LoadSettingsMasque(reset)
	NS.Lib:CopyTable(FauxMazzle, MasqueDB.profiles.FauxMazzle)
	MasqueDB.LDB = MasqueDB.LDB or { position = 0, }
	MasqueDB.LDB.hide = true
end
NS:AddConfig(1, AddonName, AddonName, ConfigureMasque, AssignMasque)

local function MasqueOptions(parent, addonlistentry)
	if addonlistentry.frame then
		addonlistentry.frame:Show()
		return addonlistentry.frame
	end
	local L = NS.TEXTS
	local Container = CreateFrame("Frame", "DUFOptions", parent)
	Container:SetSize(150, 200)
	Container:SetPoint("TOPRIGHT", -5, -15)
	local ButtonCount = {
		{ text="12", value=12, },
		{ text="13", value=13, },
		{ text="14", value=14, },
		{ text="15", value=15, },
		{ text="16", value=16, },
	}

	Container.NumButtons = NS:CreateDropList("NumButtons", Container, NS:GetSettings("Addons")[AddonName], "numbuttons", ButtonCount, "text", "value")
--	Container.NumButtons:AddPadding(50)
	Container.NumButtons:SetLabel(L.NumButtons, "TOP")
	Container.NumButtons:SetSize(100, 23)
	Container.NumButtons:SetPoint("TOPLEFT", 0, -15)

	return Container
end

--NS:RegisterAddonOptions(AddonName, MasqueOptions)
